summaryrefslogtreecommitdiff
path: root/opie-multikey
diff options
context:
space:
mode:
authorMarcin Juszkiewicz <hrw@openembedded.org>2004-06-03 17:27:03 +0000
committerMarcin Juszkiewicz <hrw@openembedded.org>2004-06-03 17:27:03 +0000
commit4f2d36ffab806e7e07828fe611a24c41ebf85481 (patch)
treeac64a5f8c83de028f0daa404abf81313d5b863aa /opie-multikey
parentbd33a6904b0c3484669a15c3f8c0455eb13486d9 (diff)
Merge bk://openembedded@openembedded.bkbits.net/packages
into home.hrw.one.pl:/home/szczepan/zaurus/oe/packages 2004/06/03 19:25:28+02:00 hrw.one.pl!hrw remove postinst/postrm errors BKrev: 40bf5f67OtvAg844gK-VdDDx38NM-w
Diffstat (limited to 'opie-multikey')
-rw-r--r--opie-multikey/opie-multikey_cvs.oe40
1 files changed, 40 insertions, 0 deletions
diff --git a/opie-multikey/opie-multikey_cvs.oe b/opie-multikey/opie-multikey_cvs.oe
index e69de29bb2..5040eb0f2f 100644
--- a/opie-multikey/opie-multikey_cvs.oe
+++ b/opie-multikey/opie-multikey_cvs.oe
@@ -0,0 +1,40 @@
+DESCRIPTION = "Multiple language keyboard"
+SECTION = "opie/inputmethods"
+PRIORITY = "optional"
+MAINTAINER = "Open Embedded <oe@handhelds.org>"
+LICENSE = "GPL"
+DEPENDS = "libqtaux2 opie-pickboard"
+RDEPENDS = "opie-pics"
+PV = "1.1.4-cvs-${CVSDATE}"
+APPNAME = "qmultikey"
+
+SRC_URI = "cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/inputmethods/multikey;date=${CVSDATE} \
+ cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/share;date=${CVSDATE}"
+
+S = "${WORKDIR}/multikey"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+}
+
+# FILES plugins/inputmethods/libqmultikey.so* share/multikey/*
+do_install() {
+ install -d ${D}${palmtopdir}/share/multikey/
+ install -m 0644 ${WORKDIR}/share/multikey/*.keymap ${D}${palmtopdir}/share/multikey/
+ install -m 0644 ${WORKDIR}/share/multikey/README ${D}${palmtopdir}/share/multikey/
+}
+